Subject: Re: [PATCH] Fix null pointer dereference in PG19

From: Peter Eisentraut <[email-masked]>
Date: Fri, 10 Jul 2026 10:42:29 +0200

On 09.07.26 17:22, Paul A Jungwirth wrote:
> Checking at v1 is Aleksander's original patch. Then v2 adds tests that
> crash the server. v3 moves the check to rewrite time, and the tests
> pass. v4 moves the check again to exec time. But v4 is a behavior
> change: an UPDATE that touches zero rows no longer fails. I thought
> that was weird; that's why I recommended leaving it out (in
> https://www.postgresql.org/message-id/ 
> CA%2BrenyXPEJYOVov3XtzTp3NusGkObc9UeW-Nm78K8_nsWSnnfg%40mail.gmail.com
> before I added the crashing tests).

I committed patches 0001 through 0003 (squashed).

I think I was mistaken about the need for an executor check (patch 
0004).  But we can add it on if a need appears.